#!/bin/bash
V=${1}
S=inflector-gadget-${V}
W=${S}-win
mkdir -p ${S} ${W}
make SYSTEM=win32 clean all
make SYSTEM=win64 clean all
strip inflector-gadget.32.exe
strip inflector-gadget.64.exe
cp -avi inflector-gadget.32.exe ${W}
cp -avi inflector-gadget.64.exe ${W}
cp -avi *.md ${W}
cp -avi *.md *.glsl *.cc Makefile* *.sh ${S}
tar --create --verbose --owner=0 --group=0 --bzip --file ${S}.tar.bz2 ${S}/*
zip -r ${W}.zip ${W}/*
gpg -b ${S}.tar.bz2
gpg -b ${W}.zip
